import { request } from 'umi';

export default {
  /** 查询字典类型信息*/
  getDictType(data) {
    return request('/kitchen/api/dict-type/dict-type', {
      method: 'Post',
      data: data,
    });
  },
  /** 添加字典类型信息*/
  addDictType(data) {
    return request('/kitchen/api/dict-type', {
      method: 'POST',
      data: data,
    });
  },
  /** 修改字典类型信息*/
  updateDictType(data) {
    return request('/kitchen/api/dict-type', {
      method: 'PUT',
      data: data,
    });
  },
  /** 删除字典类型信息*/
  removeDictType(data) {
    return request('/kitchen/api/dict-type', {
      method: 'DELETE',
      data: data,
    });
  },
};
